Kea: isc::dhcp::Dhcp4Parser::by_type Struct Reference

| Kea 1.5.0

Public Types | Public Member Functions | Public Attributes | List of all members
isc::dhcp::Dhcp4Parser::by_type Struct Reference

Type access provider for token (enum) based symbols. More...

`#include <dhcp4_parser.h>`

## Public Types
typedef token_type | kind_type
| The symbol type as needed by the constructor. More...

## Public Member Functions
| by_type ()
| Default constructor. More...
| by_type (const by_type &other)
| Copy constructor. More...
| by_type (kind_type t)
| Constructor from (external) token numbers. More...
void | clear ()
| Record that this symbol is empty. More...
void | move (by_type &that)
| Steal the symbol type from that. More...
token_type | token () const
| The token. More...
symbol_number_type | type_get () const
| The (internal) type number (corresponding to type). More...

## Public Attributes
int | type
| The symbol type. More...

## Detailed Description

Type access provider for token (enum) based symbols.

Definition at line 805 of file dhcp4_parser.h.

## Member Typedef Documentation

## ◆ kind_type

typedef token_type isc::dhcp::Dhcp4Parser::by_type::kind_type

The symbol type as needed by the constructor.

Definition at line 814 of file dhcp4_parser.h.

## Constructor & Destructor Documentation

## ◆ by_type() [1/3]

isc::dhcp::Dhcp4Parser::by_type::by_type | ( |  | ) |
| inline

Default constructor.

Definition at line 2056 of file dhcp4_parser.h.

## ◆ by_type() [2/3]

isc::dhcp::Dhcp4Parser::by_type::by_type | ( | const by_type & | other | ) |
| inline

Copy constructor.

Definition at line 2061 of file dhcp4_parser.h.

## ◆ by_type() [3/3]

isc::dhcp::Dhcp4Parser::by_type::by_type | ( | kind_type | t | ) |
| inline

Constructor from (external) token numbers.

Definition at line 2066 of file dhcp4_parser.h.

## Member Function Documentation

## ◆ clear()

void isc::dhcp::Dhcp4Parser::by_type::clear | ( |  | ) |
| inline

Record that this symbol is empty.

Definition at line 2072 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::empty_symbol.

Referenced by move().

## ◆ move()

void isc::dhcp::Dhcp4Parser::by_type::move | ( | by_type & | that | ) |
| inline

Steal the symbol type from that.

Definition at line 2079 of file dhcp4_parser.h.

References clear(), and type.

Here is the call graph for this function:

## ◆ token()

Dhcp4Parser::token_type isc::dhcp::Dhcp4Parser::by_type::token | ( |  | ) | const
| inline

The token.

Definition at line 2094 of file dhcp4_parser.h.

## ◆ type_get()

int isc::dhcp::Dhcp4Parser::by_type::type_get | ( |  | ) | const
| inline

The (internal) type number (corresponding to type).

empty when empty.

Definition at line 2087 of file dhcp4_parser.h.

## Member Data Documentation

## ◆ type

int isc::dhcp::Dhcp4Parser::by_type::type

The symbol type.

empty_symbol when empty. An int, not token_number_type, to be able to store empty_symbol.

Definition at line 835 of file dhcp4_parser.h.

Referenced by move().

The documentation for this struct was generated from the following file:

- dhcp4_parser.h